Upgrading from 5.1 to 5.2 fatal error

Posted 2 years ago by jbowman99

I am updating from 5.1 to 5.2, and was following along in the upgrade docs, bindShared has been changed to singleton in the illuminate/html/HtmlServiceProvider which i have changed. I have also commented out the Illuminate\Html\HtmlServiceProvider::class, in the config/app.php file

I want to upgrade to laravelcollective so i removed illuminate\html from the composer.json and replaced it with "laravelcollective/html": "5.2.*",

when i run composer update this error continues to be thrown

 [Symfony\Component\Debug\Exception\FatalThrowableError]
  Call to undefined method Illuminate\Foundation\Application::bindShared()

how do i get around that? still need to take this app to 5.4 and i can't get past 5.2 update

Please sign in or create an account to participate in this conversation.